package com.ibeetl.admin.core.web.dto;

import java.util.ArrayList;
import java.util.List;

public class ChannelNodeView {
	private String name;
	private int orderchannel;
//	@Dict(type="channellevel")
	private String  channellevel;//渠道级别  1一级渠道  2二级渠道 3三级渠道
	private String channeltype;//渠道类型
	
	private Long id;
	private String remarks;//备注
	
	List<ChannelNodeView> children=new ArrayList<ChannelNodeView>();

	


	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getOrderchannel() {
		return orderchannel;
	}

	public void setOrderchannel(int orderchannel) {
		this.orderchannel = orderchannel;
	}

	public String getChannellevel() {
		return channellevel;
	}

	public void setChannellevel(String channellevel) {
		this.channellevel = channellevel;
	}

	public String getChanneltype() {
		return channeltype;
	}

	public void setChanneltype(String channeltype) {
		this.channeltype = channeltype;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public List<ChannelNodeView> getChildren() {
		return children;
	}

	public void setChildren(List<ChannelNodeView> children) {
		this.children = children;
	}

	@Override
	public String toString() {
		return "ChannelNodeView [name=" + name
				+ ", orderchannel=" + orderchannel + ", channellevel="
				+ channellevel + ", channeltype=" + channeltype + ", id=" + id
				+ ", remarks=" + remarks + ", children=" + children + "]";
	}
	
	
}
